Package org.apache.solr.client.solrj.request

## Class ClusterApi.BalanceReplicas

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<ClusterApi.BalanceReplicasResponse>
  - - org.apache.solr.client.solrj.request.ClusterApi.BalanceReplicas

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  ClusterApi

    public static class ClusterApi.BalanceReplicas
    extends SolrRequest<ClusterApi.BalanceReplicasResponse>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Constructor Summary

Constructors
`BalanceReplicas()` Create a BalanceReplicas request object.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ClusterApi.BalanceReplicasResponse` `createResponse​(SolrClient client)` Create a new SolrResponse to hold the response from the server
`SolrRequest.ApiVersion` `getApiVersion()` Indicates which API version this request will make
`RequestWriter.ContentWriter` `getContentWriter​(String expectedType)` If a request object wants to do a push write, implement this method.
`SolrParams` `getParams()`
`String` `getRequestType()` This method defines the type of this Solr request.
`ResponseParser` `getResponseParser()`
`void` `setAsync​(String async)`
`void` `setNodes​(Set<String> nodes)`
`void` `setWaitForFinalState​(Boolean waitForFinalState)`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getBasePath, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getStreamingResponseCallback, getUserPrincipal, process, process, requiresCollection, setBasePath, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUserPrincipal, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BalanceReplicas

    public BalanceReplicas()

Create a BalanceReplicas request object.

### Method Detail

#### setNodes

    public void setNodes​(Set<String> nodes)

Parameters:
  `nodes` - The set of nodes across which replicas will be balanced. Defaults to all live data nodes.

#### setWaitForFinalState

    public void setWaitForFinalState​(Boolean waitForFinalState)

Parameters:
  `waitForFinalState` - If true, the request will complete only when all affected replicas become active. If false, the API will return the status of the single action, which may be before the new replica is online and active.

#### setAsync

    public void setAsync​(String async)

Parameters:
  `async` - Request ID to track this action which will be processed asynchronously.

#### getContentWriter

    public RequestWriter.ContentWriter getContentWriter​(String expectedType)

Description copied from class: `SolrRequest`
If a request object wants to do a push write, implement this method.

Overrides:
  `getContentWriter` in class `SolrRequest<ClusterApi.BalanceReplicasResponse>`
Parameters:
  `expectedType` - This is the type that the RequestWriter would like to get. But, it is OK to send any format

#### getRequestType

    public String getRequestType()

Description copied from class: `SolrRequest`
This method defines the type of this Solr request.

Specified by:
  `getRequestType` in class `SolrRequest<ClusterApi.BalanceReplicasResponse>`

#### getApiVersion

    public SolrRequest.ApiVersion getApiVersion()

Description copied from class: `SolrRequest`
Indicates which API version this request will make

Defaults implementation returns 'V1'.

Overrides:
  `getApiVersion` in class `SolrRequest<ClusterApi.BalanceReplicasResponse>`

#### getParams

    public SolrParams getParams()

Specified by:
  `getParams` in class `SolrRequest<ClusterApi.BalanceReplicasResponse>`

#### createResponse

    protected ClusterApi.BalanceReplicasResponse createResponse​(SolrClient client)

Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server

Specified by:
  `createResponse` in class `SolrRequest<ClusterApi.BalanceReplicasResponse>`
Parameters:
  `client` - the `SolrClient` the request will be sent to

#### getResponseParser

    public ResponseParser getResponseParser()

Overrides:
  `getResponseParser` in class `SolrRequest<ClusterApi.BalanceReplicasResponse>`
Returns:
  The `ResponseParser`